/******************************************************************************

	    Copyright (c) 1992-2010 Flexera Software, Inc. All Rights Reserved.
	This software has been provided pursuant to a License Agreement
	containing restrictions on its use.  This software contains
	valuable trade secrets and proprietary information of
	Flexera Software, Inc. and is protected by law.  It may
	not be copied or distributed in any form or medium, disclosed
	to third parties, reverse engineered or used in any manner not
	provided for in said License Agreement except with the prior
	written authorization from Flexera Software, Inc.

 *****************************************************************************/
/*

 *
 *	Description: 	Vendor daemon attribute tags.
 *
 */

#ifndef _LS_ATTR_H
#define _LS_ATTR_H

#define LS_ATTR_FEATURE		1	/* (char *) */
#define LS_ATTR_NLIC		2	/* (int) */
#define LS_ATTR_FLAG		3	/* (int) */
#define LS_ATTR_VERSION		4	/* (char *) */
#define LS_ATTR_CLIENT		5	/* (CLIENT_DATA *) */
#define LS_ATTR_DUP_SEL		6	/* (int) */
#define LS_ATTR_LINGER		7	/* (int) */
#define LS_ATTR_CODE		8	/* (char *) */
#define LS_ATTR_SERVER      9   /* (int) */
#define LS_ATTR_VENDOR_NAME	10	/* (char *) */
#define LS_ATTR_LAST_REPORT_LOG_ROTATION		20	/*	(time_t)	*/
#define LS_ATTR_REPORT_LOG_FILENAME				21	/*	(const char *) */
int ls_get_attr(int key, char **val);

#endif
